// Copyright (c) 2011,2016 Douglas Miller

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.sound.sampled.*;
import java.util.Date;
import java.util.Calendar;
import java.text.DateFormat;
import java.text.SimpleDateFormat;

import java.awt.datatransfer.StringSelection;

class gc1005_NeBulb extends JPanel {
	static final long serialVersionUID = 311100500011L;

	boolean _on = false;

	public void paint(Graphics g) {
		Graphics2D g2d = (Graphics2D)g;
		//g2d.addRenderingHints(new RenderingHints(
		//	RenderingHints.KEY_ANTIALIASING,
		//	RenderingHints.VALUE_ANTIALIAS_ON));
		// see notes in gc1005_Cabinet...
//		g2d.addRenderingHints(new RenderingHints(
//			RenderingHints.KEY_TEXT_ANTIALIASING,
//			RenderingHints.VALUE_TEXT_ANTIALIAS_ON));
// should inherit from gc1005_Cabinet...

		//super.paint(g2d);
		if (_on) {
			// transparency not working...
			//g2d.setColor(Heath_Colors.neon2);
			g2d.setColor(Heath_Colors.neon3);
			g2d.drawOval(0, 0, 10, 25);
			g2d.setColor(Heath_Colors.neon);
			g2d.fillRect(4, 6, 3, 14);
		}
	}

	public gc1005_NeBulb() {
		super();
		setBackground(Heath_Colors.empty);
		setPreferredSize(new Dimension(10,30));
		setOpaque(false);
		setVisible(true);
	}

	public void setOn(boolean on) {
		boolean changed = (_on != on);
		_on = on;
		if (changed) {
			repaint();
		}
	}
}
